unit CustomerBrkdn;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, VclTee.TeeGDIPlus,
  VCLTee.TeeComma, VCLTee.TeEngine, VCLTee.TeeProcs, VCLTee.Chart,
  VCLTee.DBChart, Vcl.ExtCtrls, Data.DB, adsdata, VCLTee.Series, VCLTee.TeeTools,
  VCLTee.TeeLegendScrollBar, Vcl.ComCtrls, Vcl.Mask;

type
  TfrmCustomerBrkdn = class(TForm)
    pnlDBChart: TPanel;
    DBChart: TDBChart;
    TeeCommander1: TTeeCommander;
    Series1: TBarSeries;
    ChartTool1: TLegendScrollBar;
    ScrollBar1: TScrollBar;
    Memo1: TMemo;
    procedure ScrollBar1Change(Sender: TObject);
    procedure ChartTool1Scrolled(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCustomerBrkdn: TfrmCustomerBrkdn;

implementation

{$R *.dfm}

procedure TfrmCustomerBrkdn.ChartTool1Scrolled(Sender: TObject);
begin
  ScrollBar1.Position := ChartTool1.Position;
end;

procedure TfrmCustomerBrkdn.FormCreate(Sender: TObject);
begin
  DBChart[0].Color := clWebLightSteelBlue;
  DBChart[0].Add(7, '01/04/2004');
  DBChart[0].Add(17,'01/11/2004');
  DBChart[0].Add(6, '01/18/2004');
  DBChart[0].Add(12,'01/25/2004');
  DBChart[0].Add(5, '02/01/2004');
  DBChart[0].Add(7, '02/08/2004');
  DBChart[0].Add(14,'02/15/2004');
  DBChart[0].Add(4, '02/22/2004');
  DBChart[0].Add(12,'03/01/2004');
  DBChart[0].Add(9, '03/08/2004');
  DBChart[0].Add(17,'03/15/2004');
  DBChart[0].Add(2, '03/22/2004');
  DBChart[0].Add(5, '03/29/2004');
  DBChart[0].Add(10,'04/06/2004');
  DBChart[0].Add(6, '04/13/2004');
  DBChart[0].Add(17,'04/20/2004');
  DBChart[0].Add(27,'04/27/2004');
  DBChart[0].Add(16,'05/04/2004');
  DBChart[0].Add(22,'05/11/2004');
  DBChart[0].Add(15,'05/18/2004');
  DBChart[0].Add(17,'05/25/2004');
  DBChart[0].Add(24,'06/01/2004');
  DBChart[0].Add(14,'06/08/2004');
  DBChart[0].Add(22,'06/15/2004');
  DBChart[0].Add(19,'06/22/2004');
  DBChart[0].Add(27,'06/29/2004');
  DBChart[0].Add(12,'07/06/2004');
  DBChart[0].Add(15,'07/13/2004');
  DBChart[0].Add(20,'07/20/2004');
  DBChart[0].Add(16,'07/27/2004');
  DBChart[0].Add(27,'07/03/2004');
  DBChart[0].Add(37,'07/10/2004');
  DBChart[0].Add(26,'07/17/2004');
  DBChart[0].Add(32,'07/24/2004');
  DBChart[0].Add(25,'08/03/2004');
  DBChart[0].Add(27,'08/10/2004');
  DBChart[0].Add(34,'08/17/2004');
  DBChart[0].Add(24,'08/24/2004');
  DBChart[0].Add(32,'08/31/2004');
  DBChart[0].Add(29,'09/07/2004');
  DBChart[0].Add(37,'09/14/2004');
  DBChart[0].Add(22,'09/21/2004');
  DBChart[0].Add(25,'09/28/2004');
  DBChart[0].Add(30,'10/05/2004');
  DBChart[0].Add(26,'10/12/2004');

  DBChart.BottomAxis.SetMinMax(0, 8);

  ScrollBar1.Min := 0;
  ScrollBar1.Max := DBChart[0].Count - 8;
  ScrollBar1.Position := 0;

  DBChart.Draw;
  DBChart.BottomAxis.MinimumOffset := Round(Series1.BarWidth/1.5);
  DBChart.BottomAxis.MaximumOffset := Round(Series1.BarWidth/1.5);

  Series1.AutoBarSize := True;

  ScrollBar1Change(Self);
end;

procedure TfrmCustomerBrkdn.ScrollBar1Change(Sender: TObject);
begin
  DBChart.BottomAxis.SetMinMax(
    ScrollBar1.Position,
    ScrollBar1.Position + 7);

  DBChart.Draw;
  DBChart.BottomAxis.MinimumOffset := Round(Series1.BarWidth/1.5);
  DBChart.BottomAxis.MaximumOffset := Round(Series1.BarWidth/1.5);

  ChartTool1.Position := ScrollBar1.Position;
end;

end.



